Package org.jboss.logmanager

# Class Level

java.lang.Object
java.util.logging.Level
org.jboss.logmanager.Level

All Implemented Interfaces:
  `Serializable`

public final class Level extends Level
Log4j-like levels.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Level`
`DEBUG`
`static final Level`
`ERROR`
`static final Level`
`FATAL`
`static final Level`
`INFO`
`static final Level`
`TRACE`
`static final Level`
`WARN`

### Fields inherited from class java.util.logging.Level

`ALL, CONFIG, FINE, FINER, FINEST, OFF, SEVERE, WARNING`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Level(String name, int value)`
`protected`
`Level(String name, int value, String resourceBundleName)`

## Method Summary

### Methods inherited from class java.util.logging.Level

`equals, getLocalizedName, getName, getResourceBundleName, hashCode, intValue, parse, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### FATAL

public static final Level FATAL

### ERROR

public static final Level ERROR

### WARN

public static final Level WARN

### INFO

public static final Level INFO

### DEBUG

public static final Level DEBUG

### TRACE

public static final Level TRACE

## Constructor Details

### Level

protected Level(String name, int value)

### Level

protected Level(String name, int value, String resourceBundleName)